DBResultSet
Keywords: uk.ac.ic.doc.automed.util.db.DBResultSet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util.db
Class DBResultSet

    java.lang.Object
      uk.ac.ic.doc.automed.util.db.DBResultSet

    public class DBResultSet

extends java.lang.Object

Field Summary
`static int` | `DB_FLOAT`
`static int` | `DB_INT`
`static int` | `DB_STRING` DB column types

Constructor Summary
`DBResultSet(java.util.List fields, java.util.Vector rawResults)` Creates a new instance of DBResultSet

Method Summary
`DBRecord` | `getRecord(int index)` Returns a `DBRecord` object at the specified index
`boolean` | `hasNext()` is there a next record?
`DBRecord` | `next()` Return the next
`int` | `size()` return the total number of database records

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DB_STRING

    public static final int DB_STRING

  DB column types

  See Also:
    Constant Field Values

### DB_FLOAT

    public static final int DB_FLOAT

See Also:
  Constant Field Values

### DB_INT

    public static final int DB_INT

See Also:
  Constant Field Values

Constructor Detail

### DBResultSet

    public DBResultSet(java.util.List fields,
                       java.util.Vector rawResults)

  Creates a new instance of DBResultSet

Method Detail

### size

    public int size()

  return the total number of database records

### hasNext

    public boolean hasNext()

  is there a next record?

### next

    public DBRecord next()
                  throws NotFoundException

  Return the next

  Throws:
    `NotFoundException`

### getRecord

    public DBRecord getRecord(int index)
                       throws NotFoundException

  Returns a `DBRecord` object at the specified index

  Throws:
    `NotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD